## devscripts 2.24.2

=== debian/changelog ===
devscripts (2.24.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Update Portuguese translation.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1051711)
  * bts: do not use backticks as quote marks. (Closes: #578997)
  * checkbashisms: avoid false positive for "read without variable".
    Thanks to Tim Landscheidt <tim@tim-landscheidt.de> for the patch.
    (Closes: #1020336)
  * debcommit: implement a new --signoff option (Closes: #524476)
  * debdiff: Speed up debdiff for source format 3.0 (quilt) packages.
    Thanks to Michael Gilbert <mgilbert@debian.org> for the patch.
    (Closes: #757528)
  * perltidy.
  * bts: fix typo in man page. (Closes: #1082517)

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debootsnap: always set TMPDIR for reliable behaviour of
    equivs-build.
  * scripts/debrebuild.pl:
    - always call sbuild with --verbose to force output even if not connected
      to an interactive tty.
    - always call sbuild with --nolog now that it will always output to stdout
      thanks to the --verbose switch.
    - use debsnap from git if we are running from git
    - use dscverify from git if we are running from git
    - clean up temporary files using CLEANUP=>1 of File::Temp
  * Unify proxy handling between debbisect and debootsnap.
  * scripts/devscripts/proxy.py:
    - now that snapshot.d.o is fixed, we do not need to throttle the download
      speed anymore.
    - do not delete *.part files to allow multiple processes sharing the same
      cache.
    - add process ID to partial file name.
    - ignore failures of self.send_error()
  * scripts/build-rdeps.pl:
    - improve man page wording.
    - re-arrange to align option name with option value in the same line.
    - decompress Packages and Sources for dose-ceve
    - add --no-ftbfs using debftbfs to prevent emitting reverse dependencies
     that are known to ftbfs.
    - support computing reverse dependencies for more than one binary package
      with only a single call to dose-ceve.
    - components other than 'main' also need 'main' being part of the binary
      package set for correct rdep computation.
  * scripts/reproducible-check: make black happy.
  * debftbfs: add a new script which lists source packages which have FTBFS
    bugs filed against them and prints them with the bug number and title.

  [ Jelmer Vernooĳ ]
  * deb-janitor: Split out failure description in status subcommand.

  [ Andrea Pappacoda ]
  * bts: fix crash when using submissions/smtps (Closes: #1078426)

  [ Holger Levsen ]
  * scripts/devscripts/proxy.py and scripts/reproducible-check: make pylint
    and black happy.
  * scripts/reproducible-check: fix typo, leading to incorrect results.
    Thanks to Oejet.
  * Add myself to uploaders.

  [ Georgios Zarkadas ]
  * debcheckout: Stop using given/when since it is deprecated.
    (Closes: #1060448)

  [ James McCoy ]
  * pylint: Add max-positional-arguments=10 to test config.
  * copyright: Remove duplicate scripts/devscripts/* stanza.
  * bts: fix warning if missing argument for "severity" command.
    (Closes: #1014340)
  * dget: Fix handling of folded Binary lines. (Closes: #1033041)

  [ Salvatore Bonaccorso ]
  * uscan: bash-completion: Add support for --vcs-export-uncompressed option.
    (Closes: #1084996)

  [ Vignesh Raman ]
  * debchange: Add --date argument for specifying the changelog entry date.
  * test: debchange: add test case for date feature.

  [ Dylan Aïssi ]
  * test: debchange: add test case for date feature.

  [ Jakub Wilk ]
  * salsa: fix typo "branch as no origin". (Closes: #1065563)

  [ Jochen Sprickerhof ]
  * scripts/debrebuild.pl: don't run piuparts.

  [ kpcyrd ]
  * debootsnap:
    - replace generic assertion error with human readable error and diff.
    - debootsnap: Make `1 of 226` lines more descriptive.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2024 14:38:24 +0100

## devscripts 2.24.3

=== debian/changelog ===
devscripts (2.24.3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debootsnap:
    - fix diff generation.
    - make sure all packages are installed.
  * debrebuild:
    - drop epoch from buildinfo filename.
    - debrebuild: run dpkg-buildpackage without fakeroot.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild: update short description to match its current feature set.
  * scripts/devscripts/test/__init__.py: list debftbfs so it get's installed.
  * README.newscripts: add requirement to add Python scripts to SCRIPTS list
    in scripts/devscripts/test/__init__.py
  * debftbfs: make pylint and flake8 happy.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Nov 2024 16:43:39 +0100

## devscripts 2.24.4

=== scripts/Makefile ===

include ../Makefile.common
include /usr/share/dpkg/vendor.mk
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION = $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dd-list \
	deb2apptainer \
	deb2docker \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	deb-why-removed.1 \
	debbisect.1 \
	debftbfs.1 \
	debootsnap.1 \
	debrebuild.1 \
	debrepro.1 \
	ltnu.1 \
	mk-origtargz.1 \
	salsa.1 \
	reproducible-check.1 \
	uscan.1 \

all: $(SCRIPTS) $(GEN_MAN1S) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	sed "s/###VERSION###/$(VERSION)/" $< > $@
	chmod --reference=$< $@
ifeq ($(DEB_VENDOR),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<; \

devscripts/__init__.py: ../debian/changelog
	# Generate devscripts/__init__.py
	python3 setup.py build

test_py: devscripts/__init__.py
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) -m unittest discover devscripts$(\n))

debbisect.1: debbisect
	help2man \
		--name="bisect snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debftbfs.1: debftbfs
	help2man \
		--name="list packages that have FTBFS bugs filed" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debootsnap.1: debootsnap
	help2man \
		--name="create debian chroot using snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debrebuild.1: debrebuild
	help2man \
		--name="use a buildinfo file and snapshot.d.o to recreate binary packages" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	rm -f devscripts/__init__.py
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for run_bisect
	install -d $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/changelog ===
devscripts (2.24.4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debootsnap:
    - don't set a apt proxy with --nocache.
    - fix HTTP 302.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild: run debsnap with --verbose to attempt to better debug random
    failures on rebuilderd.d.n.

  [ Otto Kekäläinen ]
  * salsa: Follow DEP-14 and use default branch name 'debian/latest'.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Nov 2024 09:45:49 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Benjamin Drung <bdrung@debian.org>,
 Holger Levsen <holger@debian.org>,
Build-Depends:
 autodep8 <!nocheck>,
 bash-completion,
 black <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 docbook-xsl,
 dpkg-dev (>= 1.19.1),
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 isort <!nocheck>,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-dirlist-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkgconf,
 po4a,
 pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pycurl <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 subversion [!i386] <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
 zstd <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: all
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libjson-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 at,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 diffoscope,
 disorderfs,
 docker.io,
 dose-extra (>= 4.0),
 duck,
 elpa-devscripts,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mmdebstrap,
 mutt,
 piuparts,
 postgresql-client,
 pristine-lfs,
 python3-debianbts,
 python3-pycurl,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.24.5

=== debian/changelog ===
devscripts (2.24.5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: move dscverify to debsnap.

  [ Guillem Jover ]
  * debsign: Remove compatibility code for ancient GnuPG. Closes: #1066875

 -- Holger Levsen <holger@debian.org>  Thu, 28 Nov 2024 10:30:12 +0100

## devscripts 2.24.8

=== debian/changelog ===
devscripts (2.24.8) unstable; urgency=medium

  [ Guillem Jover ]
  * debsign: Ensure future GnuPG interop by forcing OpenPGP compliant behavior.
    Closes: #1070197.

  [ Gioele Barabucci ]
  * wrap-and-sort: Sort build-system packages first. Closes: #1049943.
  * test/test_wrap-and-sort:
    - Allow testing parameters.
    - Test that build systems are listed first.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Dec 2024 13:52:45 +0100

devscripts (2.24.7) unstable; urgency=medium

  [ Guillem Jover ]
  * Devscripts::Uscan::Keyring: Handle and warn on concatenated ASCII Armor
    blocks. Closes: #1089548.

  [ Jochen Sprickerhof ]
  * debsnap: downgrade dscverify to a warning. Closes: #1089060.
  * debrebuild: put dsc into the same directory as the buildinfo.

  [ Lee Garrett ]
  * Install devscripts man page to section 7.
  * gitignore devscripts man page again.

  [ Holger Levsen ]
  * Add Closes: for #1064707 to 2.24.2 d/changelog entry.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2024 16:41:45 +0100

devscripts (2.24.6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: fix build path. Closes: #1089087.

  [ Daniel Kahn Gillmor ]
  * Uscan/Keyring.pm:
    - gpgv can use /dev/null for homedir.
    - add helper functions for OpenPGP ASCII Armor.
    - adopt Guillem Jover's suggested improvements for perl.
    - remove dependency on /usr/bin/gpg.
    - add OpenPGP verification support for sop. Closes: #1010955.
    - clean up perl nits. (thanks, Guillem Jover!)
    - clean up references to RFC 9580.
    - avoid bareword constructions (thanks, Guillem.)
    - check results of writing and closing.
    - rely on sopv instead of sop, except for "sop armor".
    - perltidy.
  * d/control and README, documented uscan depends:
    - remove gnupg from dependency annotations, encourage sop.
    - use the sopv alternatives, rather than enumerate sopv's implementations.

  [ Guillem Jover ]
  * scripts/Makefile: Use dpkg-vendor directly instead of including
    dpkg/mk/vendor.mk. Closes: #1079186.

  [ Jacob Mealey ]
  * wnpp-alert: fix typo in --help output.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Dec 2024 13:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -76,7 +76,7 @@
  dpkg-dev (>= 1.18.19),
  file,
  gnupg | gnupg2,
- gpgv | gpgv2,
+ sopv | gpgv,
  libfile-dirlist-perl,
  libfile-homedir-perl,
  libfile-touch-perl,

## devscripts 2.24.9

=== debian/changelog ===
devscripts (2.24.9) unstable; urgency=medium

  [ Guilhem Moulin ]
  * debdiff: Always call dpkg-source(1) when `--apply-patches` is set.
    Closes: #1091228.

  [ Philip Rinn ]
  * scripts/desktop2menu.pl: remove script. Since 2017 Policy states 'If
    a package installs a FreeDesktop desktop entry, it must not also install
    a Debian menu entry.' so there is no use case for this script anymore.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Dec 2024 17:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  isort <!nocheck>,
  libdistro-info-perl <!nocheck>,
  libdpkg-perl <!nocheck>,
- libfile-desktopentry-perl <!nocheck>,
  libfile-dirlist-perl <!nocheck>,
  libfile-homedir-perl <!nocheck>,
  libfile-touch-perl <!nocheck>,
@@ -140,7 +139,6 @@
  how-can-i-help,
  libauthen-sasl-perl,
  libdbd-pg-perl,
- libfile-desktopentry-perl,
  libterm-size-perl,
  libtimedate-perl,
  libyaml-syck-perl,

## devscripts 2.24.10

=== debian/changelog ===
devscripts (2.24.10) unstable; urgency=medium

  [ Niels Thykier ]
  * wrap-and-sort: Detect `X-Style` and abort with a helpful message.

  [ Philip Rinn ]
  * Add sopv | gpgv as build-dependency (<!nocheck>). Closes: #1091596.

 -- Holger Levsen <holger@debian.org>  Tue, 31 Dec 2024 14:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
+ sopv <!nocheck> | gpgv <!nocheck>,
  subversion [!i386] <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,

## devscripts 2.25.1

=== debian/changelog ===
devscripts (2.25.1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * debchange: enable multimaint-merge by default.

  [ Philip Rinn ]
  * Remove cvs-* scripts.

  [ Andreas Metzler ]
  * uscan: fix docs for downloading a specific branch in git mode.

  [ Jacob Mealey ]
  * Cleanup perltidy changes, add perl tidy diff to test output.

  [ Holger Levsen ]
  * Update po4a.

  [ nick black ]
  * Ignore po4a/pt.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2025 11:20:25 +0100

## devscripts 2.25.5

=== po4a/Makefile ===
include ../Makefile.common

LANGS = de fr pt

DESC_de/ = Debian-Hilfswerkzeuge
DESC_fr/ = Utilitaires Debian
DESC_pt/ = Utilitários Debian

GEN_TR_MAN1S := $(sort $(foreach lang,$(LANGS),$(patsubst %.1,$(lang)/%.$(lang).1,$(GEN_MAN1S))))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) transform
transform: $(GEN_TR_MAN1S)

translate: ../doc/devscripts.7
	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
	touch $@

clean: ../doc/devscripts.7
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate
	rm -rf $(LANGS)

../doc/devscripts.7:
	# po4a translate and clean need ../doc/devscripts.7, rebuild it
	$(MAKE) -C ../doc devscripts.7

%.1:: %.pl translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.pod translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.dbk translate
	xsltproc --nonet \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
	# /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/other.xsl
	# (which is imported by the above stylesheet) insists in writing the output
	# to where it wants to.  we can only move the file ourselves.
	# ($* → de/deb-reversion.de)
	mv $(notdir $(basename $*)).1 $@

=== scripts/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 
 include ../Makefile.common
-include /usr/share/dpkg/vendor.mk
 DESTDIR =
 
 define \n
@@ -10,6 +9,8 @@
 
 VERSION_FILE = ../version
 VERSION = $(shell cat $(VERSION_FILE))
+
+DEB_VENDOR = $(shell dpkg-vendor --query Vendor)
 
 PL_FILES := $(wildcard *.pl)
 SH_FILES = $(wildcard *.sh)

=== test/Makefile ===

OUR_TESTS= \
	perl \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	debsign \
	mergechanges \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_git \
	uscan_svn \
	uscan_mangle \
	uscan_group \
	perltidy \
	wrap-and-sort \

# Tests that must run as root, and alter the state of the system by
# adding/removing packages
DESTRUCTIVE_TESTS = \
	debi \

# unset some variables that might affect tests
undefine DEB_CHECK_COMMAND

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

destructive-test: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

destructive-test-installed: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test destructive-test

=== debian/changelog ===
devscripts (2.25.5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * sadt: replace references to `adt-run` with `autopkgtest`.

  [ Jochen Sprickerhof ]
  * debrebuild: Don't set Rules-Requires-Root with new dpkg (>=1.22.13).
  * Add missing test dependency on apt.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Feb 2025 12:48:38 +0100

devscripts (2.25.4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * CI: switch to salsa-ci.
  * Add missing lzip dependency in autopkgtests. Closes: #1098681.

  [ Holger Levsen ]
  * mk-build-deps: only specify arch if needed. Closes: #1058049. Thanks to
    Stephen Gildea for the patch.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Feb 2025 15:25:16 +0100

devscripts (2.25.3) unstable; urgency=medium

  [ Andrius Merkys ]
  * Support lzip decompression in uscan. Closes: #1061479.

  [ Jochen Sprickerhof ]
  * debrebuild: use $build_as_root_when_needed.
  * Fix CI pipeline.

  [ Holger Levsen ]
  * Bump Standard-Version to 4.7.1, no changes needed.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Fri, 21 Feb 2025 14:52:33 +0100

devscripts (2.25.2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * debrebuild: relax Rules-Requires-Root detection.

  [ dann frazier ]
  * scripts/hardening-check.pl:
    - correct short arg for cfprotection in --help.
    - detect branch protection in ARM binaries.
    - make indention consistent.

  [ Julien Plissonneau Duquène ]
  * Apply uversionmangle rules to --download-version. Closes: #1087641.
  * Add test case for --download-version with uversionmangle.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * dep-14-convert: 
    - more clearly mark the 'pristine-tar' branch as optional.
    - document '--apply' flag.
    - use a variable for the dep-14 compliant packaging branch.
    - allow the user to override the packaging branch.
    - fallback to other remotes if current remote is not on salsa.
    - ensure that the packaging branch name is valid.
    - 'debug' function to handle the debugging printout.
    - ensure that branch settings go to gbp.conf's [DEFAULT] section.

  [ Otto Kekäläinen ]
  * dep-14-convert-git-branch-names: Automate git layout conversion.

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 04 Feb 2025 22:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Holger Levsen <holger@debian.org>,
 Build-Depends:
  autodep8 <!nocheck>,
+ apt <!nocheck>,
  bash-completion,
  black <!nocheck>,
  debhelper-compat (= 13),
@@ -39,6 +40,7 @@
  liburi-perl <!nocheck>,
  libwww-perl <!nocheck>,
  lsb-release <!nocheck>,
+ lzip <!nocheck>,
  perl:any,
  perltidy <!nocheck>,
  pkgconf,
@@ -64,7 +66,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -106,6 +108,7 @@
  liburi-perl,
  licensecheck,
  lintian,
+ lzip,
  man-db,
  patch,
  python3-apt,
@@ -127,7 +130,6 @@
  bsd-mailx | mailx,
  build-essential,
  check-all-the-things,
- cvs-buildpackage,
  debhelper,
  diffoscope,
  disorderfs,

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, libgitlab-api-v4-perl, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
 SUBSTVARS=-V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS) \
		-V"devscripts:LongDesc=$$(cat README.md | awk '/^- annotate-output/,/^  exim script for sorting/' | sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"

=== debian/tests/control ===
Tests: shunit2
Depends:
 build-essential,
 debhelper,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libipc-run-perl,
 libjson-perl,
 libtest-output-perl,
 libwww-perl,
 lzip,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 subversion,
 unzip,
 wdiff,
 zip,
 zstd,
 @,
Restrictions: allow-stderr

Tests: destructive
Depends:
 apt,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 @,
Restrictions: allow-stderr, breaks-testbed, needs-root

## devscripts 2.25.6

=== debian/changelog ===
devscripts (2.25.6) unstable; urgency=medium

  [ Holger Levsen ]
  * po4a/Makefile: fix build when parallel is more than 26, thanks to Jing Luo.
    Closes: #1094811.
  * nmudiff manpage: add missing space, thanks to Jakub Wilk. Closes: #1100854.
  * Update Portuguese translation of devscripts's manpage, thanks to
    Américo Monteiro. Closes: #1099978.
  * Bump Standard-Version to 4.7.2, no changes needed.
  * Update po4a.

  [ Adrian Bunk ]
  * nmudiff:
    - add diffstat to the diff.
    - improve wording of email.
  * debchange: document --date in the manpage.

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: update translation.

  [ Alexandre Detiste ]
  * scripts/edit-patch.sh, doc/what-patch.1 and README.md: remove support and
    references for removed "dpatch" and "cdbs-edit-patch".

  [ Otto Kekäläinen ]
  * dep-14-convert:
    - add man page and other documentation.
    - fix bug and refactor Salsa project slug detection.
    - revert: document '--apply' flag.

 -- Holger Levsen <holger@debian.org>  Thu, 27 Mar 2025 23:29:41 +0100

=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git

## devscripts 2.25.7

=== debian/changelog ===
devscripts (2.25.7) unstable; urgency=medium

  [ Guillem Jover ]
  * d/control: Depend on gpg and gpg-agent instead of gnupg. Closes: #1070882.
  * Use OpenPGP instead of gnupg or gpg when referring to the RFC or artifacts.
  * Remove backwards compatibility gnupg2 support.
  * Switch from discouraged Perl "base" to "parent" pragma.
  * Switch from deprecated Perl YAML::Syck to YAML::XS.
  * Switch from File::Which to Dpkg::Path.
  * Switch from "command -v" via system() to Dpkg::Path::find_command().
  * Switch from IPC::Run to Dpkg::IPC.
  * d/control: explicitly depend on libdpkg-perl instead of via dpkg-dev and
    Recommends.
  * Hook test_mass_bug into the test suite.
  * tests: remove obsolete GnuPG --secret-keyring option usage.
  * Update .gitignore.

  [ Jochen Sprickerhof ]
  * scripts/devscripts/proxy.py: ignore error when symlink exists.
  * debootsnap: skip cleanup/reproducible to keep the dbus/machine-id.

  [ Antoine Beaupré ]
  * build-rdeps: silence errors when not running with dose-extra.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 01 Apr 2025 22:32:28 +0200

## devscripts 2.25.8~bpo12+1

=== debian/changelog ===
devscripts (2.25.8~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 10 Apr 2025 22:47:29 -0700

devscripts (2.25.8) unstable; urgency=medium

  [ Adrian Bunk ]
  * debchange: LTS related fixes, current LTS release is bullseye.

  [ Holger Levsen ]
  * who-uploads: fetch data from tracker.d.o, patch thanks to gregor herrmann.
    Closes: #1074038.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Apr 2025 20:29:06 +0200

## devscripts 2.25.9

=== debian/changelog ===
devscripts (2.25.9) unstable; urgency=medium

  [ Unit 193 ]
  * debchange: Add '--sloppy' option for sloppy-backports.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Apr 2025 16:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
  faketime <!nocheck>,
  file <!nocheck>,
  git (>= 1:2.7.0) <!nocheck>,
- gnupg <!nocheck> | gnupg2 <!nocheck>,
+ gpg <!nocheck>,
+ gpg-agent <!nocheck>,
  help2man,
  isort <!nocheck>,
  libdistro-info-perl <!nocheck>,
@@ -26,10 +27,8 @@
  libfile-dirlist-perl <!nocheck>,
  libfile-homedir-perl <!nocheck>,
  libfile-touch-perl <!nocheck>,
- libfile-which-perl <!nocheck>,
  libgit-wrapper-perl <!nocheck>,
  libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
- libipc-run-perl <!nocheck>,
  libjson-perl <!nocheck>,
  liblist-compare-perl <!nocheck>,
  libmoo-perl <!nocheck>,
@@ -77,13 +76,13 @@
 Depends:
  dpkg-dev (>= 1.18.19),
  file,
- gnupg | gnupg2,
+ gpg,
+ gpg-agent,
  sopv | gpgv,
+ libdpkg-perl,
  libfile-dirlist-perl,
  libfile-homedir-perl,
  libfile-touch-perl,
- libfile-which-perl,
- libipc-run-perl,
  libmoo-perl,
  libwww-perl,
  patchutils,
@@ -98,7 +97,6 @@
  dctrl-tools,
  dput | dupload,
  libdistro-info-perl,
- libdpkg-perl,
  libencode-locale-perl,
  libgit-wrapper-perl,
  libjson-perl,
@@ -144,7 +142,7 @@
  libdbd-pg-perl,
  libterm-size-perl,
  libtimedate-perl,
- libyaml-syck-perl,
+ libyaml-libyaml-perl,
  mmdebstrap,
  mutt,
  piuparts,

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  gnupg,
  libdistro-info-perl,
  libgitlab-api-v4-perl,
- libipc-run-perl,
  libjson-perl,
  libtest-output-perl,
  libwww-perl,
@@ -28,7 +27,6 @@
 Depends:
  apt,
  libdpkg-perl,
- libipc-run-perl,
  perl,
  @,
 Restrictions: allow-stderr, breaks-testbed, needs-root

## devscripts 2.25.10~bpo12+1

=== debian/changelog ===
devscripts (2.25.10~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 28 Apr 2025 20:20:06 -0700

devscripts (2.25.10) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New script: deb-check-file-conflicts.
  * Update debsign example to a package that does not depend on Python 2.
  * Apply 'wrap-and-sort -ast'.
  * Fix misc typos.

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect: do not error out if no packages changed from one timestamp to
    the other.

  [ Antonio Terceiro ]
  * mass-bug: add option to include external files in the bug template.

  [ Philip Rinn ]
  * dcmd: document --buildinfo option. Closes: #895346.

  [ Niels Thykier ]
  * nmudiff: Support `--mua` commands (like `thunderbird`).

  [ Holger Levsen ]
  * README.md: shorten lines which cause too wide package descriptions. Thanks
    lintian.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Apr 2025 10:40:41 +0200

## devscripts 2.25.11

=== debian/changelog ===
devscripts (2.25.11) unstable; urgency=medium

  [ Adrian Bunk ]
  * bts: The forky{,-ignore} tags already exists and can already be used.
  * nmudiff: Improve wording of non-delay NMU email.

  [ Johannes Schauer Marin Rodrigues ]
  * debchange: --date argument *must* be in RFC 5322 format.
  * uscan: document ~cs.

  [ Roland Mas ]
  * salsa: allow invoking checkout with a full URL.

  [ Ian Jackson ]
  * dscverify: Look in the t2u keyring, if it is installed.
  * Add debian-tag2upload-keyring to Recommends.

  [ Hugh McMaster ]
  * uscan:
    - add support for git repositories with submodules. Closes: #902846.
    - create a Moo class for 'gitexport' and 'gitmode'.
    - add documentation on the 'gitmodules' option.
  * uscan/Downloader.pm: Export all submodule files when gitexport=all is set.
  * uscan/WatchLine.pm:
    - pass $self->gitrepo_dir to the downloader.
    - remove suffixed tarball in --overwrite-download mode.
    - add missing backslash to regex.
  * test/test_uscan_git:
    - make $TARBALL a local variable.
    - make $DESTDIR a local variable.
    - make $ORIG and $UPSTREAM local variables.
    - update test failure messages (logic and grammar).
    - add missing $WATCHARGS in makeDebianDirHead().
    - aun tests from a separate function.
    - create $destdir in the new $TEMP_PKG_DIR for clean-up.
    - replace helperLaunch() with makeDebianDir*().
    - separate spawnGitRepo() from makeDebianDir().
    - simplify debian/watch creation.
    - support custom repository paths.
    - add tests for git repositories with submodules.

  [ Holger Levsen ]
  * Update Portuguese translation, thanks to Américo Monteiro. Closes: #1103688
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Apr 2025 21:34:33 +0200

## devscripts 2.25.12

=== debian/changelog ===
devscripts (2.25.12) unstable; urgency=medium

  [ Christopher Bock ]
  * rmadison: add alias for table=all.

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs.

  [ Chris Hofstaedtler ]
  * debbisect: fix example.

  [ Dorle Osterode ]
  * deb2apptainer.1: Fix man page synopsis and highlighting.
  * Update po4a.
  * Update German translation.

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debrebuild.pl: Make sure that each print statement flushes
    standard output.

  [ Otto Kekäläinen ]
  * test/test_mk-origtargz: Strip ANSI color to avoid sporadic failures.

 -- Holger Levsen <holger@debian.org>  Sun, 11 May 2025 13:50:48 +0200

## devscripts 2.25.14

=== debian/changelog ===
devscripts (2.25.14) unstable; urgency=medium

  * scripts/Makefile: also clean the build directory on clean. (see #1106532)

 -- Holger Levsen <holger@debian.org>  Mon, 26 May 2025 17:39:28 +0200

devscripts (2.25.13) unstable; urgency=medium

  [ Andreas Tille ]
  * debcommit: Prefer Git over SVN or CVS. Closes: #1106159

  [ Jochen Sprickerhof ]
  * scripts/devscripts/proxy.py: ignore zero size files in cache.

  [ Holger Levsen ]
  * mass-bug: fix typo in manpage, thanks to Julien Plissonneau Duquène.
  * Update French translation, thanks to Julien Plissonneau Duquène/MR503.
  * Update Portuguese translation, thanks to Américo Monteiro.
    Closes: #1105959
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Thu, 22 May 2025 16:16:30 +0200

## devscripts 2.25.15~bpo12+1

=== test/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	debdiff \
 	debrepro \
 	debsign \
+	mass_bug \
 	mergechanges \
 	mk-origtargz \
 	package_lifecycle \

=== debian/changelog ===
devscripts (2.25.15~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 11 Jul 2025 17:42:37 +0200

devscripts (2.25.15) unstable; urgency=medium

  [ Yadd ]
  * Update French translation.
  * Fix optional salsa test.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Jun 2025 09:49:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Benjamin Drung <bdrung@debian.org>,
  Holger Levsen <holger@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dpkg-dev (>= 1.19.1),
+ apt <!nocheck>,
  autodep8 <!nocheck>,
- apt <!nocheck>,
  bash-completion,
  black <!nocheck>,
- debhelper-compat (= 13),
- dh-sequence-python3,
  docbook-xsl,
- dpkg-dev (>= 1.19.1),
  faketime <!nocheck>,
  file <!nocheck>,
  git (>= 1:2.7.0) <!nocheck>,
@@ -49,6 +49,7 @@
  python3-apt <!nocheck>,
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
+ python3-junit.xml <!nocheck>,
  python3-magic <!nocheck>,
  python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
@@ -78,7 +79,6 @@
  file,
  gpg,
  gpg-agent,
- sopv | gpgv,
  libdpkg-perl,
  libfile-dirlist-perl,
  libfile-homedir-perl,
@@ -87,6 +87,7 @@
  libwww-perl,
  patchutils,
  sensible-utils,
+ sopv | gpgv,
  wdiff,
  ${misc:Depends},
  ${perl:Depends},
@@ -121,6 +122,7 @@
  xz-utils,
  ${vendor:Recommends},
 Suggests:
+ debhelper,
  adequate,
  at,
  autopkgtest,
@@ -128,7 +130,6 @@
  bsd-mailx | mailx,
  build-essential,
  check-all-the-things,
- debhelper,
  diffoscope,
  disorderfs,
  docker.io,

## devscripts 2.25.15

=== po4a/Makefile ===
--- 
+++ 
@@ -33,10 +33,6 @@
 	-podchecker $<
 	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
 %.1:: %.dbk translate
-	xsltproc --nonet \
+	mkdir -p $(LANGS)
+	xsltproc --nonet -o $@ \
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
-	# /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/other.xsl
-	# (which is imported by the above stylesheet) insists in writing the output
-	# to where it wants to.  we can only move the file ourselves.
-	# ($* → de/deb-reversion.de)
-	mv $(notdir $(basename $*)).1 $@

=== test/uscan/manual-test/_dl-poly-classic/debian/changelog ===
dl-poly-classic (0~0.0-1) unstable; urgency=medium

  * dummy changelog.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2018 22:48:47 +0900

=== debian/tests/control ===
Tests:
 shunit2,
Depends:
 debhelper,
 build-essential,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libjson-perl,
 libtest-output-perl,
 libwww-perl,
 lzip,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 subversion,
 unzip,
 wdiff,
 zip,
 zstd,
 @,
Restrictions:
 allow-stderr,

Tests:
 destructive,
Depends:
 apt,
 libdpkg-perl,
 perl,
 @,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,

## devscripts 2.25.15+deb13u1

=== scripts/Makefile ===
--- 
+++ 
@@ -161,7 +161,7 @@
 	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
 		$(GEN_MAN1S) $(SCRIPT_LIBS)
-
+	rm -rf build
 
 test: test_pl test_sh test_py

=== debian/changelog ===
devscripts (2.25.15+deb13u1) trixie; urgency=medium

  * Team upload.
  * Update branch in gbp.conf & Vcs-Git URL.
  * debchange: trixie is now stable, forky is testing.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Aug 2025 12:53:58 +0200

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git -b trixie
 
 Package: devscripts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UBU_SUGGESTS=debian-keyring, equivs, libgitlab-api-v4-perl, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
+UBU_SUGGESTS=debian-keyring, debian-tag2upload-keyring, equivs, libgitlab-api-v4-perl, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
  SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
 else

=== test/sadt/space-separated-restrictions/debian/tests/control ===
Tests: test
Restrictions: needs-recommends allow-stderr

## devscripts 2.25.16

=== scripts/Makefile ===
--- 
+++ 
@@ -56,7 +56,11 @@
 	reproducible-check.1 \
 	uscan.1 \
 
-all: $(SCRIPTS) $(GEN_MAN1S) $(COMPLETION)
+GEN_MAN5S += \
+	debian-watch.5 \
+	debian-watch-4.5 \
+
+all: $(SCRIPTS) $(GEN_MAN1S) $(GEN_MAN5S) $(COMPLETION)
 
 scripts: $(SCRIPTS)
 
@@ -89,6 +93,9 @@
 %.1: %.pod
 	podchecker $<
 	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
+%.5: %.pod
+	podchecker $<
+	pod2man --utf8 --center=" " --release="Debian Utilities" --section=5 $< > $@
 %.1: %.dbk
 	xsltproc --nonet -o $@ \
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

=== debian/changelog ===
devscripts (2.25.16) experimental; urgency=medium

  [ Mechtilde ]
  * Improved the German translation of the manpage for the tool bts

  [ Nick Brown ]
  * uscan: correct setting of request headers

  [ Hugh McMaster ]
  * uscan:
    - uscan/Downloader.pm: Clone main git repository and submodules separately
    - uscan/git.pm: Refactor code to clone versionless repositories with or
      without submodules and refactor '$newversion' generation
    - test/test_uscan_git: Update submodule test names
    - test/test_uscan_git: Add tests to clone from HEAD with submodules

  [ Yadd ]
  * salsa:
    - Use current repository if project is missing (check_repo, del_repo,
      forks, last_ci_status, and merge_requests) and add "path" subcommand
    - Add update_watch5 command to update debian/watch to version 5
  * uscan
    - Add more git debug
    - Add recommended dependency to libio-string-perl (used by uscan/http)
    - Better uscan test framework based on LWP::Protocol::PSGI
    - Add new debian/watch format: version 5
      * uscan: force Version-Schema to "group" for main watchsource when
        Version-Schema is "checksum"
      * Split uscan manpage and create debian-watch(5) [version 5] and
        debian-watch-4(5) for previous formats
    - Add liblwp-protocol-psgi-perl in autopkgtest dependencies
  * Update French translation

 -- Yadd <yadd@debian.org>  Sun, 20 Jul 2025 10:32:11 +0200

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,10 @@
  libfile-touch-perl <!nocheck>,
  libgit-wrapper-perl <!nocheck>,
  libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
+ libio-string-perl <!nocheck>,
  libjson-perl <!nocheck>,
  liblist-compare-perl <!nocheck>,
+ liblwp-protocol-psgi-perl <!nocheck>,
  libmoo-perl <!nocheck>,
  libstring-shellquote-perl <!nocheck>,
  libtest-output-perl <!nocheck>,
@@ -69,7 +71,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git -b trixie
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
 Architecture: all
@@ -100,6 +102,7 @@
  libdistro-info-perl,
  libencode-locale-perl,
  libgit-wrapper-perl,
+ libio-string-perl,
  libjson-perl,
  liblist-compare-perl,
  libstring-shellquote-perl,

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  gnupg,
  libdistro-info-perl,
  libgitlab-api-v4-perl,
+ libio-string-perl,
  libjson-perl,
+ liblwp-protocol-psgi-perl,
  libtest-output-perl,
  libwww-perl,
  lzip,

=== test/t/uscan/any_version/debian/watch ===
#Version: 5
#
#Source: https://foo
#Version-Regex: .*?@ANY_VERSION@@ARCHIVE_EXT@
#Pgp-Mode: none
version=4
opts="pgpmode=none" https://foo .*?@ANY_VERSION@@ARCHIVE_EXT@

=== test/t/uscan/simple_test/debian/watch ===
#Version: 5
#
#Source: https://foo
#Version-Regex: .*?@STABLE_VERSION@@ARCHIVE_EXT@
#Pgp-Mode: none
version=4
opts="pgpmode=none" https://foo .*?@ANY_VERSION@@ARCHIVE_EXT@

## devscripts 2.25.17

=== debian/changelog ===
devscripts (2.25.17) experimental; urgency=medium

  [ наб ]
  * uscan: add sample Forgejo (Codeberg) stanzas

  [ James Cowgill ]
  * mk-origtargz:
    - Exclude empty directories when using Files-Included
      (Closes: #1021287)
    - Add a test for Files-Included-<component>
    - Document --include-file option
  * uscan:
    - Fix indentation in copyright file examples
    - Add an example using the Files-Included stanza (Closes: #977795)

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation

  [ Hugh McMaster ]
  * .gitignore: Add scripts/dep-14-convert-git-branch-names
  * test/test_uscan_git:
    - Update watch file for version 5 syntax
    - Use global variable 'MODULE1' for 'subrepo'
    - Update some error messages

  [ Yadd ]
  * Replace gpg by gnupg and sopv by gpgv into test dependencies because
    devscripts tests do not work with sequoia gpg (Closes: #1109607)
  * uscan:
    - Add "auto" values for Uversion-Mangle and Filename-Mangle
    - Add macros @COMPONENT@, @SEMANTIC_VERSION@, @STABLE_VERSION@
    - Fix some debug messages broken by v5
    - Apply pagemangle also when searchmode=plain (Closes: #1057773)
    - support overriding +~ delimiter for groups (Closes: #976829)
    - add aliases: Version-Regex and Version-Pattern are aliases of
      Matching-Pattern
    - Fix doc for boolean option (Closes: #1109879)
    - Fix Git-Modules option (Closes: #1109883)
    - Drop pasv option: no effect for a while (Closes: #1109878)
    - Add template engine
      * Add GitHub template
      * Add Metacpan template
  * Update French translations

  [ Niels Thykier ]
  * uscan templates:
    - Template/Github.pm:
      * Set `pgpmode` to `none` by default
      * Do not override `Search-Mode` if provided in the file
    - Template/Metacpan.pm:
      * Set `pgpmode` to `none` by default
      * Do not override `source` if provided
      * Allow `::` in metacpan dists
    - Fix some undef warnings

 -- Yadd <yadd@debian.org>  Mon, 28 Jul 2025 22:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  faketime <!nocheck>,
  file <!nocheck>,
  git (>= 1:2.7.0) <!nocheck>,
- gpg <!nocheck>,
+ gnupg <!nocheck>,
  gpg-agent <!nocheck>,
+ gpgv <!nocheck>,
  help2man,
  isort <!nocheck>,
  libdistro-info-perl <!nocheck>,
@@ -60,7 +61,6 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- sopv <!nocheck> | gpgv <!nocheck>,
  subversion [!i386] <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  faketime,
  git,
  gnupg,
+ gpgv,
  libdistro-info-perl,
  libgitlab-api-v4-perl,
  libio-string-perl,

=== test/t/uscan/github/debian/watch ===
Version: 5

Template: GitHub
Author: linagora
Project: simple-oidc-client
Pgp-Mode: none
